# mongoc.conf - mongod configsvr

systemLog:
    destination: "file"
    path: "/tmp/mdbtest/log/mongoc.log"
    logAppend: true
    logRotate: "reopen"
    timeStampFormat: "iso8601-utc"
storage:
    dbPath: "/tmp/mdbtest/config"
    journal:
        enabled: true
    engine: "wiredTiger"
    wiredTiger:
        engineConfig:
            journalCompressor: "snappy"
        collectionConfig:
            blockCompressor: "zlib"
        indexConfig:
            prefixCompression: true
sharding:
    clusterRole: "configsvr"
processManagement:
    fork: true
    pidFilePath: "/tmp/mdbtest/log/mongoc.pid"
net:
    bindIp: "127.0.0.1"
    port: 27019
    wireObjectCheck: true
security:
    keyFile: "/tmp/mdbtest/keyfile"
    clusterAuthMode: "keyFile"
    authorization: "enabled"
